<?php
$dostup = true;
include_once('inclfiles/core.php');

if($id == 0) $id = $user['country'];

if($id == 0){
	$title = 'Мое государство';
	include_once('inclfiles/head.php');
	t('У Вас нет государства');
	include_once('inclfiles/foot.php');
}

if(mysql_num_rows(mysql_query("SELECT * FROM `countries` WHERE `id`=".$id)) == 0){
	$title = 'Ошибка';
	include_once('inclfiles/head.php');
	t('Государство не найдено');
	include_once('inclfiles/foot.php');
}

if($id == $user['country']){
	$title = 'Мое государство';
	$strana = $country;
	$army = $voiska;
	$pokaz = true;
	$my = true;
}
else{
	$strana = mysql_fetch_array(mysql_query("SELECT * FROM `countries` WHERE `id`=".$id));
	$army = mysql_fetch_array(mysql_query("SELECT * FROM `voiska` WHERE `country`=".$strana['id']));
	$title = 'Государство '.$strana['name'];
	$pokaz = false;
	$my = false;
}

include_once('inclfiles/head.php');

$buildings_territory = mysql_result(mysql_query("SELECT SUM(`territory`) FROM `buildings` WHERE `country` = ".$strana['id']." AND `status` <> 'destroyed'"),0);
$zerno = $strana['peoples'] * 2 + $strana['academics'] * 2 + $army['pehota'] * 4 + $army['kavaleria'] * 15 + $army['strelki']  * 30;
$kol_buildings  = mysql_num_rows(mysql_query("SELECT * FROM `buildings` WHERE `country` = ".$strana['id'].""));

t1();
if($my) echo 'Название: '.$strana['name'].'<br/>';

echo 'Статус: ';
if($strana['time_zahvat'] == 0) echo 'активно';
else echo 'захвачено';
echo '<br/>';

echo 'Дата создания: '.data($strana['time_create']).'<br/>';

if($strana['time_zahvat'] != 0){
	echo 'Дата захвата: '.data($strana['time_zahvat']).'<br/>';
	echo 'Продержалось: '.vozrast($strana['time_zahvat'] - $strana['time_create']).'<br/>';
}
else echo 'Возраст: '.vozrast(time() - $strana['time_create']).'<br/>';

if($pokaz OR $strana['time_zahvat'] != 0) echo 'Захвачено государств: '.$strana['zahvatov'].'<br/>';

if(!$my AND $strana['user'] != 0){
	if($strana['time_zahvat'] != 0) echo 'Правил: '.user($strana['user']).'<br/>';
	else echo 'Правитель: '.user($strana['user']).'<br/>';
}
t2();

if($pokaz AND $strana['time_zahvat'] == 0){
	t1();
	echo 'Территория:<br/>';
	echo 'Общая площадь: '.$strana['territory'].' км<sup>2</sup><br/>';
	echo 'Леса: '.$strana['forest'].' км<sup>2</sup><br/>';
	echo 'Горы: '.$strana['mountains'].' км<sup>2</sup><br/>';
	echo 'Сооружения: '.$buildings_territory.' км<sup>2</sup><br/>';
	echo 'Свободно: '.$strana['territory_free'].' км<sup>2</sup><br/>';
	t2();

	t1();
	echo 'Свободное население:<br/>';
	echo 'Рабочие: '.$strana['peoples_free'].'/'.$strana['peoples'].'<br/>';
	echo 'Ученые: '.$strana['academics_free'].'/'.$strana['academics'].'<br/>';
	echo 'Пехотинцы: '.$army['pehota_free'].'/'.$army['pehota'].'<br/>';
	echo 'Кавалеристы: '.$army['kavaleria_free'].'/'.$army['kavaleria'].'</br>';
	echo 'Стрелки: '.$army['strelki_free'].'/'.$army['strelki'].'<br/>';
	echo 'Потребление зерна в день: '.$zerno.'<br/>';
	t2();

	t1();
	echo 'Обмундирование:<br/>';
	echo 'Оружие: ';
	if($strana['oruzhie'] == 'easy') echo 'легкое';
	else echo 'тяжелое';
	echo '<br/>';
	echo 'Броня: ';
	if($strana['mundir'] == 'easy') echo 'легкая';
	else echo 'тяжелая';
	echo '<br/>';
	t2();

	t1();
	echo 'Монеты: '.$strana['money'].'<br/>';
	t2();


 	$mesto = $set['mesto'];
 	if(mysql_num_rows(mysql_query("SELECT * FROM `buildings` WHERE `type` = 3 AND `country` = ".$strana['id']."")) != 0){
 	    $hranilishe = mysql_fetch_array(mysql_query("SELECT * FROM `buildings` WHERE `country`= ".$strana['id']." AND `type` = 3"));
 		$mesto = $mesto + 4 * $hranilishe['level'] * $hranilishe['level'] * $hranilishe['territory'];
 	}
 	$mesto = $mesto - $strana['wood'] - $strana['stone'] - $strana['iron'] - $strana['grain'] - $strana['oil'];

	t1();
	echo 'Ресурсы:<br/>';
	echo 'Дерево: '.$strana['wood'].'<br/>';
	echo 'Камень: '.$strana['stone'].'<br/>';
	echo 'Железо: '.$strana['iron'].'<br/>';
	echo 'Зерно: '.$strana['grain'].'<br/>';
	echo 'Нефть: '.$strana['oil'].'<br/>';
	echo 'Свободно места: '.$mesto.'<br/>';
	t2();
}

if(!$my AND $strana['user'] != 0) a_user($strana['user']);
include_once('inclfiles/foot.php');
?>